<?php
header("Content-Type: text/html; charset=utf-8");

    /**
     * 个人用户认证服务示例
     */
    require_once(dirname(__FILE__).'/'.'../Util.php');

    $sdkClient = Util::getSDk();

//    testUserAuthPage($sdkClient);

    testUserAuthResult($sdkClient);

    /**
     * 用户实名认证链接
     * @param $sdkClient
     * @return mixed
     */
    function testUserAuthPage(SDKClient $sdkClient){
        // 待认证的用户信息
        $user = new User();
        $user->setContactType("MOBILE");
        $user->setContact("18435186216");

        $userAuth = new UserAuth();
        $userAuth->setMode("DEFAULT");
        $userAuth->setUser($user);

        $userAuthPageRequest = new UserAuthPageRequest();
        $userAuthPageRequest->setUserAuth($userAuth);

        $result = $sdkClient->service($userAuthPageRequest);
        print_r($result);
        return $result;
    }

    function testUserAuthResult(SDKClient $sdkClient){
        $userAuthResultRequest = new UserAuthResultRequest();
        $userAuthResultRequest->setContactType("MOBILE");
        $userAuthResultRequest->setContact("18435186216");

        $result = $sdkClient->service($userAuthResultRequest);
        print_r($result);
    }
